Page MenuHomePhabricator

[IRSim][IROutliner] Allowing GEP instructions to be outlined.
ClosedPublic

Authored by AndrewLitteken on Sep 8 2020, 11:46 AM.

Details

Summary

We outline what the IRSimilarityIdentifier deems GEP Instructions to be similar. In this case, the types must be the same, and the operand values after the first indexing operand must be the exact same.

Tests:

  • Removing test/Transforms/IROutliner/illegal-gep.ll
  • Adding test/Transforms/IROutliner/outlining-gep.ll

Diff Detail

Event Timeline

AndrewLitteken created this revision.Sep 8 2020, 11:46 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 8 2020, 11:46 AM
jroelofs accepted this revision.Sep 15 2020, 10:47 AM
jroelofs added a subscriber: jroelofs.

LGTM

This revision is now accepted and ready to land.Sep 15 2020, 10:47 AM
This revision was landed with ongoing or failed builds.Dec 31 2020, 3:19 PM
This revision was automatically updated to reflect the committed changes.